unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    procedure Label2Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Label1Click(Sender: TObject);
var zbior :TFontStyles;
begin
zbior:=[fsUnderline,fsStrikeOut];
Include(zbior,fsBold);
Exclude(zbior,fsStrikeOut);
if fsUnderline in zbior
  then Label1.Caption:='Z podkreśleniem'
  else Label1.Caption:='Bez podkreślenia';
Label1.Font.Style:=zbior;
end;

procedure TForm1.Label2Click(Sender: TObject);
type
  TStylCzcionki = (scPogrubiony, scKursywa, scPodkreslenie, scPrzekreslenie);
  TStyleCzcionki = set of TStylCzcionki;
var zbior :TStyleCzcionki;
begin
zbior:=[scPodkreslenie,scPrzekreslenie];
Include(zbior,scPogrubiony);
Exclude(zbior,scPrzekreslenie);
if scPodkreslenie in zbior
  then Label2.Caption:='Z podkreśleniem'
  else Label2.Caption:='Bez podkreślenia';
Label2.Font.Style:=TFontStyles(zbior);
end;

end.
